=== debian/changelog ===
python-openapi-spec-validator (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * Stop calling sphinx_rtd_theme.get_html_theme_path (closes: #1087789).

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Nov 2024 00:02:13 +0100

python-openapi-spec-validator (0.7.1-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Remove extraneous dependency on python3-mock

  [ Julian Gilbey ]
  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Sun, 21 Jul 2024 13:50:02 +0100

python-openapi-spec-validator (0.7.1-1) unstable; urgency=medium

  [ Adam Cecile ]
  * Initial packaging work.

  [ Julian Gilbey ]
  * Initial release (Closes: #958024).

 -- Julian Gilbey <jdg@debian.org>  Thu, 27 Jun 2024 21:42:22 +0100
