=== debian/control ===
Source: python-openapi-spec-validator
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adam Cecile <acecile@le-vert.net>,
           Julian Gilbey <jdg@debian.org>,
           Andrius Merkys <merkys@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               help2man,
               pybuild-plugin-pyproject,
               python3-all,
               python3-jsonschema,
               python3-jsonschema-path,
               python3-lazy-object-proxy,
               python3-openapi-schema-validator,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-sphinx,
               python3-sphinx-rtd-theme <!nodoc>
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.0
Homepage: https://github.com/python-openapi/openapi-spec-validator
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-openapi-spec-validator
Vcs-Git: https://salsa.debian.org/python-team/packages/python-openapi-spec-validator.git
Rules-Requires-Root: no
Description: Validates OpenAPI Specs against 2.0, 3.0 and 3.1 standards
 This is a Python module that validates OpenAPI Specs against the
 OpenAPI 2.0 (aka Swagger), OpenAPI 3.0 and OpenAPI 3.1 specifications.
 The validator aims to check for full compliance with the Specification.

Package: python3-openapi-spec-validator
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-openapi-spec-validator-doc
Multi-Arch: foreign
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs the library for Python 3 and a command line validation
 tool.

Package: python-openapi-spec-validator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-openapi-spec-validator
Multi-Arch: foreign
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains HTML documentation.
Build-Profiles: <!nodoc>
